Authentication
authorization string required
All APIs require authentication via Bearer Token.
Get API Key:
Visit API Key Management Page to get your API Key.
Usage:
Add to request header:
Authorization: Bearer YOUR_API_KEY
Parameters
model string required
Model ID to use for the request
Value: vidu_get_subjects
ownership string
Subject ownership
Options: system (official subjects), private (personal subjects)
Default: private
subject_ids array[string]
Specify subject IDs to query, multiple IDs supported
count integer
Number of results to query
Default: 20
Maximum: 100
next_page_token string
Pagination token. Can be omitted on the first request. If more pages exist, a next_page_token will be returned in the response and should be passed in the next request
Polling
Since result generation takes time, you need to poll the task status after creating the task.
The initial response only returns information such as the task ID and initial status. The final result must be obtained by polling the task status endpoint using the task ID.
See the examples on the right for polling requests and responses.
Response Format
output array
Generation result. Only present when status is completed.
content
arrayList of generated content
text
stringSubject list info JSON string, containing the following fields:
subjects: List of subject info from this query
subjects[].id: Subject ID (server_id)
subjects[].name: Subject name
subjects[].images: Image parameters of the subject
subjects[].videos: Video parameters of the subject
subjects[].voice_id: Voice ID bound to the subject
subjects[].style: Style info of the subject (not shown for official subjects)
subjects[].description: Detailed description of the subject (not shown for official subjects)
next_page_token: Next page token, empty when no more data
count: Query count, default 20, max 100type
stringResource type, this endpoint returns
text